/*
 * Driver.java
 *
 * Created on November 29, 2004, 4:32 PM
 */

package DDMT.threads;


import jade.core.Runtime;
import jade.core.Profile;
import jade.core.ProfileImpl;
import jade.wrapper.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 *
 * @author  jk3
 */
public class Driver {
    
    /** Creates a new instance of Driver */
    public Driver() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        try{
            Runtime rt = Runtime.instance();
            //default profile
            Profile p = new ProfileImpl();
            AgentContainer ac = rt.createMainContainer(p);
            //Start the agent
            AgentController poolagent = ac.createNewAgent("poolAgent", "PoolAgent.PoolAgent", args);
            poolagent.start();
            return;
        }catch(Exception ex){
            ex.printStackTrace();
        }
    }
}
